Tcl_AllowExceptions(3)

NAME
Tcl_AllowExceptions - allow all exceptions in next script evaluation

SYNOPSIS
#include <tcl.h>

Tcl_AllowExceptions(interp)

ARGUMENTS
Interpreter in which script will be evaluated.

DESCRIPTION

If a script is evaluated at top-level (i.e. no other scripts are pending evaluation when the script is invoked), and if the script terminates with a completion code other than TCL_OK, TCL_CONTINUE or TCL_RETURN, then Tcl normally converts this into a TCL_ERROR return with an appropriate message.

However, if Tcl_AllowExceptions is invoked immediately before calling a procedure such as Tcl_Eval, then arbitrary completion codes are permitted from the script, and they are returned without modification. This is useful in cases where the caller can deal with exceptions such as TCL_BREAK or TCL_CONTINUE in a meaningful way.

KEYWORDS
continue, break, exception, interpreter